com.fasterxml.jackson.databind.deser.impl

## Class ReadableObjectId.Referring

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ReadableObjectId.Referring

Direct Known Subclasses:
  ObjectIdReferenceProperty.PropertyReferring

Enclosing class:
  ReadableObjectId

    public abstract static class ReadableObjectId.Referring
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReadableObjectId.Referring(UnresolvedForwardReference ref, Class<?> beanType)`
`ReadableObjectId.Referring(UnresolvedForwardReference ref, JavaType beanType)`

### Method Summary

Methods
`Class<?>` `getBeanType()`
`JsonLocation` `getLocation()`
`abstract void` `handleResolvedForwardReference(Object id, Object value)`
`boolean` `hasId(Object id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadableObjectId.Referring

    public ReadableObjectId.Referring(UnresolvedForwardReference ref,
                              Class<?> beanType)

#### ReadableObjectId.Referring

    public ReadableObjectId.Referring(UnresolvedForwardReference ref,
                              JavaType beanType)

### Method Detail

#### getLocation

    public JsonLocation getLocation()

#### getBeanType

    public Class<?> getBeanType()

#### handleResolvedForwardReference

    public abstract void handleResolvedForwardReference(Object id,
                                      Object value)
                                                 throws IOException

Throws:
  `IOException`

#### hasId

    public boolean hasId(Object id)